wm withdraw .

set pts1 [ vtkPoints New]
$pts1 SetNumberOfPoints 5
$pts1 SetPoint 0 0.0 0.0 0.0
$pts1 SetPoint 1 1.0 0.0 0.0
$pts1 SetPoint 2 0.0 1.0 0.0
$pts1 SetPoint 3 0.0 0.0 1.0
$pts1 SetPoint 4 1.0 1.0 1.0

set pts2 [ vtkPoints New]
$pts2 SetNumberOfPoints 5
$pts2 SetPoint 0 0.0 0.1 0.0
$pts2 SetPoint 1 2.0 0.1 0.0
$pts2 SetPoint 2 0.0 1.1 0.0
$pts2 SetPoint 3 0.0 0.1 3.0
$pts2 SetPoint 4 2.0 1.1 3.0

set land [ vtkLandmarkTransform New]
$land SetSourceLandmarks $pts1
$land SetTargetLandmarks $pts2
$land SetModeToAffine
$land Update

set mat [ $land GetMatrix ]

puts stderr "Fitting Output is:"
for { set i 0 } { $i <= 3 } { incr i } {
    puts -nonewline stdout "\["
    for { set j 0 } { $j <= 3 } { incr j } {
	puts -nonewline stdout "[ format "%+5.2f" [ $mat GetElement $i $j]] "
    }
    puts stdout "\]"
}

exit
