lappend auto_path [ file dirname [ info script ]]
wm withdraw  . 
package require loadbioimagesuite 1.0

set ana [ vtkpxAnalyzeImageSource New]
$ana Load axial.hdr

set img [ $ana GetOutput ]
set orient [ $ana GetOrientation ]
puts stderr "Image Dimensions = [ $img GetDimensions ], Orientation = $orient"

set shift [ vtkImageShiftScale New]
$shift SetInput $img
$shift SetScale -1
$shift SetShift 0
$shift Update

set anaw [ vtkpxAnalyzeImageWriter New]
$anaw SetInput [ $shift GetOutput ]
$anaw SetOrientation $orient
$anaw Save inverted.hdr


exit
