lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
wm geometry . 200x200

# First Load the Image
set tr [ vtkpxAnalyzeImageSource New] 
$tr Load axial.hdr

set imageslice [ vtkpxImageSlice New] 
$imageslice SetInput [ $tr GetOutput ]
$imageslice SetFrame 0
$imageslice SetCurrentPlane 2
$imageslice SetLevel 100
$imageslice SetDisplayMode 3

set ren [ vtkRenderer New] 
$ren AddActor $imageslice

set renwin [ vtkRenderWindow New ]
$renwin AddRenderer $ren
$renwin SetSize 300 300
$ren ResetCamera
$renwin Render

# Interactor
set iren [ vtkRenderWindowInteractor New ]
$iren SetRenderWindow $renwin
$iren Initialize
$iren AddObserver SetExitMethod { exit }

wm withdraw .; vwait forever



