lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
wm withdraw .

# Create a matrix
vtkpxMatrix a
a Zeros 3 3
# Set Individual Element (0 2 ) 2.0
a SetElement 0 2 2.0
puts stdout "Element 0 2 = [ a GetElement 0 2 ]"
a Print

puts stdout "Matrix Size = [ a GetSize ]"

# Identity Operation
a Eye 5
a Print "Identity"

# Set Matrix To All Ones
a Ones 4 4
a Print "Ones"

# Make matrix identity
a Identity
a Print "Back To Identity"

# Scale matrix elements by 2.5
a Scale 2.5
a SetElement 0 3 2.0
a Transpose
a Print "Transposed"

vtkpxMatrix c
c Ones 4 4

vtkpxMatrix d
d Zeros 4 4

# to do a+c=d
a Add a c d
d Print "d"

vtkpxMatrix e
e Zeros 4 4
d Multiply d c e
e Print "e"

# To do weighted sum i.e. a1*a + b1*c = e
a Add 2.0 a -2.0 c e
e Print "New e"

# Some additional operations

vtkpxMatrix h
h Copy a
h Invert
h Print "h Inverse"

# To do Q-R Decomposition

vtkpxMatrix q
vtkpxMatrix r
a QRDecomposition q r
q Print "q"
r Print "r"

a Eye 2
a SetElement 0 1 1.0
a Print "System"

vtkpxMatrix b
b Zeros 2 1
b SetElement 0 0 2.0
b SetElement 1 0 4.0
b Print "b"
 
vtkpxMatrix x
x Zeros 2 1
a SolveLinearSystem b x
x Print "x"

# Check
a Multiply a x e
e Print

exit