#include "fouryearold.h"
#include <string.h>
#include <stdio.h>


FourYearOld::FourYearOld(char* name,char* favcol):Infant(name)
{
  this->myFavoriteFood=new char[200];
  strcpy(this->myFavoriteFood,"Ice Cream");
  this->myFavoriteColor=new char[200];
  strncpy(this->myFavoriteColor,favcol,200);
}

FourYearOld::~FourYearOld() 
{
  delete [] this->myFavoriteFood;
  delete [] this->myFavoriteColor;
}
    
 
void FourYearOld::PrintSelf() 
{
  ::Infant::PrintSelf();
  fprintf(stderr, "fouryearold ... myFavoriteFood  = %s\n",this->myFavoriteFood);
  fprintf(stderr, "fouryearold ... myFavoriteColor = %s\n",this->myFavoriteColor);
}

char* FourYearOld::GetFavoriteFood() {
  return this->myFavoriteFood;
}

char* FourYearOld::GetFavoriteColor() {
  return this->myFavoriteColor;
}

void FourYearOld::SetFavoriteFood(char* food)
{
  strncpy(this->myFavoriteFood,food,200);
}

void FourYearOld::DailyRoutine() 
{
  fprintf(stderr, "\nfouryearold ... Daily Routine Start\n");
  this->Cry();
  this->GotoBathroom();
  this->Eat();
  fprintf(stderr, "fouryearold ... Daily Routine End\n");
}

 void FourYearOld::Cry() 
{
   fprintf(stderr, "fouryearold ... Mom I would like to watch a movie!\n");
}

void FourYearOld::Eat() {
  fprintf(stderr, "fouryearold ... I am eating %s\n",this->GetFavoriteFood());
}

void FourYearOld::GotoBathroom() 
{
  fprintf(stderr, "fouryearold ... I am going to the bathroom\n");
}
