#include "teenager.h"
#include <string.h>
#include <stdio.h>

Teenager::Teenager(char* name,char* favcol,
		   char* bestfriend):FourYearOld(name,favcol)
{
  this->myBestFriend=new char[200];
  strncpy(this->myBestFriend,bestfriend,200);
  this->SetFavoriteFood("Pizza");

}

Teenager::~Teenager()
{
  delete [] this->myBestFriend;
}

void Teenager::PrintSelf()
{
  ::FourYearOld::PrintSelf();
  fprintf(stderr,"teenager ... myBestFriend  = %s\n",this->myBestFriend);
}

char* Teenager::GetBestFriend()
{
  return this->myBestFriend;
}

void Teenager::SetBestFriend(char* frnd)
{
   strncpy(this->myBestFriend,frnd,200);
}


void Teenager::DailyRoutine()
{
  fprintf(stderr,"teenager ... Daily Routine Start\n");
  ::FourYearOld::DailyRoutine();
  this->GotoSchool();
  this->GotoBathroom();
  this->Eat();
  if (strlen(this->myBestFriend)>0)
    fprintf(stderr,"teenager ... on the phone with %s\n",this->myBestFriend);
  fprintf(stderr,"teenager ... Daily Routine End\n");
}

void Teenager::Cry()
{
  fprintf(stderr,"teenager ... Mom I am bored!\n");
}


void Teenager::GotoSchool()
{
  fprintf(stderr,"teenager ... I am going to school.\n");
}
