// This corresponds to script10-1.tcl

#include <vtkFloatArray.h>

int main(int argc,char *argv[])
{
  vtkFloatArray* arr=vtkFloatArray::New();
  arr->SetNumberOfComponents(2);
  arr->SetNumberOfTuples(12);
  arr->FillComponent(0,0.0);
  arr->FillComponent(1,10.0);

  arr->SetComponent(10, 0, 3.0);
  arr->SetTuple2(11,9.0, 2.0);
  arr->SetComponent(4, 1, -2.1);

  fprintf(stderr,"The array has %d tuples and %d components\n\n",
	  arr->GetNumberOfTuples(),
	  arr->GetNumberOfComponents());
  
  fprintf(stderr,"Here are its contents\n");

  int nt=arr->GetNumberOfTuples();
  int nc=arr->GetNumberOfComponents();
  for (int i=0;i<nt;i++)
    {
      fprintf(stderr,"Tuple %d : (",i);
      for (int j=0;j<nc;j++)
	fprintf(stderr,"\t %.2f ",arr->GetComponent(i,j));
      fprintf(stderr,"\t)\n");
    }

  return 0;
}

