package provide mylibload 1.0


proc mylibload { fname } {

    global tcl_platform


    if { $tcl_platform(platform) == "windows" } { 
	set suffix .dll
    } elseif { $tcl_platform(os) == "Darwin" } {
	set suffix .dylib
    } else {
	set suffix .so
    }
    
    set tname [ file normalize  lib${fname}${suffix} ]
    puts stderr "tname=$tname"
    if { [ file exists $tname ] > 0 } {
	load $tname
	return $tname
    } 
    
    if { $tcl_platform(platform) == "windows" } { 
	set tname [ file normalize [ file join debug ${fname}.dll ] ]
	if { [ file exists $tname ] > 0 } {
	    load $tname
	    return $tname
	}
    }

    puts stderr "Failed to load library $fname"
    exit
}