lappend auto_path [ file dirname [ info script ]]

package require loadbioimagesuite 1.0
package require mylibload 1.0

mylibload vtkMyLibTCL

wm withdraw  .

set ana [ vtkpxAnalyzeImageSource New ]
$ana Load axial.hdr

set img [ $ana GetOutput ]
set orient [ $ana GetOrientation ]
puts stderr "Image Dimensions = [ $img GetDimensions ], Orientation = $orient"

set util [ vtkMyUtility  New ]
set out [ $util ThresholdImage $img 200 500 1 ]

set anaw [ vtkpxAnalyzeImageWriter New ]
$anaw SetInput $out
$anaw SetOrientation $orient
$anaw Save thr.hdr



exit
