lappend auto_path [ file dirname [ info script ]]

package require loadbioimagesuite 1.0
package require mylibload 1.0

mylibload vtkMyLibTCL

wm withdraw  .

set ana [ vtkpxAnalyzeImageSource New ]
$ana Load axial.hdr

set img [ $ana GetOutput ]
set orient [ $ana GetOrientation ]
puts stderr "Image Dimensions = [ $img GetDimensions ], Orientation = $orient"

set thr [ vtkImageSimpleThreshold  New ]
$thr SetInput $img
$thr SetLowerThreshold 150
$thr SetUpperThreshold 250
$thr BinaryOutputOn
$thr Update

set anaw [ vtkpxAnalyzeImageWriter New ]
$anaw SetInput [ $thr GetOutput ]
$anaw SetOrientation $orient
$anaw Save thr.hdr



exit
