lappend auto_path [ file dirname [ info script ]]

package require loadbioimagesuite 1.0
package require mylibload 1.0

mylibload vtkMyLibTCL


wm withdraw  .

set ana [ vtkpxAnalyzeImageSource New ]
$ana Load axial.hdr

set img [ $ana GetOutput ]
set orient [ $ana GetOrientation ]
puts stdout "Image Dimensions = [ $img GetDimensions ], Orientation = $orient"

set voi [ vtkImageExtractVOI  New ]
$voi SetInput $img
$voi SetVOI 100 130 100 130 50 80
$voi Update

puts stdout "VOI Dimensions =  [ [ $voi GetOutput ] GetDimensions ]"

set anaw [ vtkpxAnalyzeImageWriter New ]
$anaw SetInput [ $voi GetOutput ]
$anaw SetOrientation $orient
$anaw Save voi.hdr



exit
