
vtkSphereSource sphere
sphere SetCenter 0.0 0.0 0.0
sphere SetRadius 5.0
sphere SetPhiResolution 12
sphere SetThetaResolution 12


vtkTransform tr
tr PostMultiply
tr Scale 3 2 1
tr RotateX 10.0
tr RotateY 5.0
tr Translate 30 25 8

vtkTransformPolyDataFilter filt
filt SetInput [ sphere GetOutput ]
filt SetTransform tr

vtkPolyDataWriter w
w SetInput [ filt GetOutput ]
w SetFileName sphere1.vtk
w Write

tr Identity
tr PostMultiply
tr Scale 3.1 2.5 1.2
tr RotateX 5.0
tr RotateY 2.0
tr Translate 28 22 6

vtkButterflySubdivisionFilter filt2
filt2 SetInput [ sphere GetOutput ]
filt  SetInput [ filt2  GetOutput ]
filt2 Update

filt Modified; filt Update

w SetFileName sphere2.vtk; w Modified

w Write

exit
