lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
package require mylibload 1.0
mylibload vtkVTKITKTCL

set ana [ vtkpxAnalyzeImageSource New ]
$ana Load  axial_small.hdr

puts stderr "Image Loaded [ [ $ana GetOutput ] GetDimensions ]"

set util [ vtkITKMyUtility  New  ]

puts stderr "Calling Curvature Anistropic Diffusion Filter"

set img [ $util CurvatureAnisotropicDiffusionFilter [ $ana GetOutput ] 1.0 0.05 8 ]

puts stderr "Done [ $img GetDimensions ] on to saving"

set w2 [ vtkpxAnalyzeImageWriter New ]
$w2 SetInput $img
$w2 Save "smooth.hdr"

exit
