lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
package require mylibload 1.0
mylibload vtkVTKITKTCL


set util [ vtkITKMyUtility  New ]

set inimg [ $util LoadImage  axial_small.hdr ]

if { $inimg == "" } {
    puts stderr "Failed to read image exiting\n"
    exit
}

puts stderr "Image Loaded [ $inimg GetDimensions ] , [ $inimg GetSpacing ], [ $inimg GetOrigin ]"

puts stderr "Calling Curvature Anistropic Diffusion Filter"

set img [ $util CurvatureAnisotropicDiffusionFilter $inimg 1.0 0.05 8 ]

puts stderr "Done [ $img GetDimensions ] on to saving"

$util SaveImage $img  "itksmooth.nii.gz"

exit
