#ifndef __vtkITKMyUtility_h
#define __vtkITKMyUtility_h

#include <vtkObject.h>

class vtkImageData;


class vtkITKMyUtility : public vtkObject
{
public:
  static vtkITKMyUtility *New();
  vtkTypeMacro(vtkITKMyUtility,vtkObject);
  

  static vtkImageData* CurvatureAnisotropicDiffusionFilter(vtkImageData* input,double Conductance=1.0,double TimeStep=0.15,int NumberOfIterations=8);
  static vtkImageData* LoadImage(const char* fname);
  static int           SaveImage(vtkImageData* input,const char* filename);

protected:
  vtkITKMyUtility() {};
  virtual ~vtkITKMyUtility() {};


};
#endif
