#!/bin/sh
# the next line is executed by the shell, but it is a comment in tcl \
  exec wish"$0" "$@"

proc PrintButtonCallback { number } {
    puts "Print Button number $number Pressed!"
}

frame .top; 
frame .middle -height 10 -bg black;
frame .bottom

pack .top .middle .bottom -side top -expand false -fill x

button .top.b1 -text "Print 1" -command  { PrintButtonCallback 1 }
button .top.b2 -text "Print 2" -command  { PrintButtonCallback 2 }
pack .top.b1 .top.b2 -side left -expand true -fill x

button .bottom.b1  -text "Exit"  -command { exit }
pack .bottom.b1   -side left -expand true -fill x

