lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0

set ana [ vtkpxAnalyzeImageSource New]
$ana Load axial.hdr

set img [ $ana GetOutput ]
set orient [ $ana GetOrientation ]
puts stderr "Image Dimensions = [ $img GetDimensions ], Orientation = $orient"

button .bot -text "Exit" -command { destroy .; exit} 
pack .bot -side bottom -expand false -fill x -pady 2

set ortho [ vtkpxGUIOrthogonalViewer New]
$ortho  DisableTalairachButtons
set w [ $ortho Initialize . 1 ]
$ortho SetImage $img $orient
