#include "tcl.h"
#include "tclDecls.h"
#include <stdio.h>
#include <string.h>

/*
  Simple C++ to Tcl Interface
*/


int HelloTcl(ClientData, Tcl_Interp* interp,int objc, Tcl_Obj *CONST objv[])
{
  fprintf(stderr,"Hello From C++\n");
  return TCL_OK;
}

// Initialization Code
#ifdef _WIN32
#define HELLOTCL_EXPORT __declspec( dllexport )
#else
#define HELLOTCL_EXPORT 
#endif

extern "C" {
int  HELLOTCL_EXPORT Hellotcl_Init(Tcl_Interp* interp);
int  HELLOTCL_EXPORT Hellotcl_SafeInit(Tcl_Interp* interp);
}

int Hellotcl_Init(Tcl_Interp* interp)
{
  Tcl_CreateObjCommand(interp, "cpphello", HelloTcl,(ClientData) NULL, (Tcl_CmdDeleteProc *) NULL);
  return TCL_OK;
}

int Hellotcl_SafeInit(Tcl_Interp* interp)
{
  return Hellotcl_Init(interp);
}
