#include "infant.h"
#include <string.h>
#include <stdio.h>


Infant::Infant(char* newname)
{
  this->myWeight=2.0;
  this->myName=new char[200];
  strncpy(this->myName,newname,200);
}

Infant::~Infant()
{
  delete [] this->myName;
}

char* Infant::GetName() 
{
  return this->myName;
}

float Infant::GetWeight() 
{
  return this->myWeight;
}

void Infant::SetWeight(float wgt)
{
  this->myWeight=wgt;
}

void Infant::DailyRoutine()
{
  fprintf(stderr, "infant ... Daily Routine Start\n");
  this->Cry();
  fprintf(stderr, "infant ... Daily Routine End\n");
}

void Infant::Cry()
{
  fprintf(stderr, "infant ... WaWa!\n");
}

void Infant::PrintSelf() 
{
  fprintf(stderr, "infant ... myName = %s\n",this->myName);
  fprintf(stderr, "infant ... myWeight = %.2f\n",this->myWeight);
}
