lappend auto_path [ file dirname [ info script ]]
package require loadbioimagesuite 1.0
package require mylibload 1.0

mylibload vtkMyUtilTCL


set ana [ vtkpxAnalyzeImageSource New ]
$ana Load  brain_mask.hdr

set util [ vtkMyUtility  New  ]


set sur [ $util ExtractContour [ $ana GetOutput ] 50.0 ]

set w1 [ vtkPolyDataWriter  New ]
$w1 SetInput $sur
$w1 SetFileName "outer.vtk"
$w1 Write
$w1 Delete

set img [ $util SmoothImageAndComputeGradient [ $ana GetOutput ] 2.0 3 ]

set w2 [ vtkpxAnalyzeImageWriter New ]
$w2 SetInput $img
$w2 SetImageHeader [ $ana GetImageHeader ]
$w2 Save "grad.hdr"

exit
