#ifndef __vtkMyUtility_h
#define __vtkMyUtility_h

#include <vtkObject.h>

class vtkImageData;
class vtkPolyData;

class vtkMyUtility : public vtkObject
{
public:
  static vtkMyUtility *New();
  vtkTypeMacro(vtkMyUtility,vtkObject);
  
  // Example 1
  // Extract Iso-Contour
  vtkPolyData* ExtractContour(vtkImageData *img,double level);

  // Example 2
  // Smooth Image and Compute Gradient
  static vtkImageData* SmoothImageAndComputeGradient(vtkImageData* img,double sigma,int dimensionality);


protected:
  vtkMyUtility() {};
  virtual ~vtkMyUtility() {};


};
#endif
