#!/bin/sh
# the next line is executed by the shell, but it is a comment in tcl \
  exec wish"$0" "$@"

proc PrintButtonCallback { number } {
    puts "Print Button number $number Pressed!"
}

frame .top; 
frame .middle -height 10 -bg black;
toplevel .dlg

wm protocol .dlg WM_DELETE_WINDOW { grab release .dlg ; wm withdraw .dlg} 

wm title . "Main Window"
wm title .dlg "Second Dialog"

wm geometry . 800x60
wm geometry .dlg 400x40

pack .top .middle  -side top -expand false -fill x

button .top.b1 -text "Print 1" -command  { PrintButtonCallback 1 }
button .top.b2 -text "Print 2" -command  { PrintButtonCallback 2 }
button .top.b3 -text "Show Exit Dialog" -command  { wm deiconify .dlg }
pack .top.b1 .top.b2 .top.b3 -side left -expand true -fill x

button .dlg.b1  -text "Exit"  -command { exit }
pack .dlg.b1   -side left -expand true -fill x
wm withdraw .dlg
