package require Itcl 3.2

# Class Header

itcl::class IrsInfant {

    protected variable myName   "Anonymous"
    protected variable mySSN    "0"

    constructor { newname } {
	set myName   $newname
	set mySSN [ ::IrsInfant::NewSSN ]
    }

    destructor {
	set myName ""
	set mySSN ""
    }
    
    # Interface
    public method GetName { }
    public method GetSSN { }
    public method PrintSelf { }

    # Common
    protected common NumInfants 0
    protected proc NewSSN { } 
    public    proc GetNumInfants { }
};

# Class Methods

::itcl::body IrsInfant::GetName { } {
    return $myName
}

::itcl::body IrsInfant::GetSSN { } {
    return $mySSN
}

::itcl::body IrsInfant::PrintSelf { } {
    puts stderr "myName =   $myName"
    puts stderr "mySSN = $mySSN\n"

}

::itcl::body IrsInfant::NewSSN { } {
    incr NumInfants
    return [ expr 1000+ $NumInfants ]
}

itcl::body IrsInfant::GetNumInfants { } {
    return  $NumInfants 
}

# --------------------------------------------

for { set i 1 } { $i <=5 } { incr i } {
    set baby($i) [ IrsInfant \#auto "C$i" ]
    $baby($i) PrintSelf

}

puts stderr "The Total Number Of Infants = [ ::IrsInfant::GetNumInfants ]"
